API ReferenceUnified modelsUnified customer

Get paginated list of unified customers

GET
/unified/customers

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?number
Default1
limit?number
Default10
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://dev-backend.thelinks.ai/api/v1/unified/customers"
{
  "data": [
    {
      "id": "cust_12345",
      "source_system": "salesforce",
      "source_system_img_url": "https://cdn.example.com/salesforce.png",
      "source_id": "sf_98765",
      "external_system_provider_id": "provider_001",
      "external_system_config_id": "config_abc",
      "external_system_data": {
        "custom_field": "value"
      },
      "supporting_data_definition_id": "support_001",
      "email": "customer@example.com",
      "name": "Acme Corp",
      "address_line1": "123 Main St",
      "address_line2": "Suite 456",
      "address_city": "Los Santos",
      "address_country": "USA",
      "address_state": "California",
      "address_postal_code": "90001",
      "shipping_address_line1": "789 Market St",
      "shipping_address_line2": "Floor 2",
      "shipping_address_city": "San Fierro",
      "shipping_address_country": "USA",
      "shipping_address_state": "Nevada",
      "shipping_address_postal_code": "94103",
      "phone": "+123456789",
      "is_primary": true,
      "local_was_deleted": false,
      "local_was_updated": true,
      "source_data_created_at": "2024-01-01T12:00:00Z",
      "is_active": true
    }
  ],
  "page": 1,
  "limit": 10,
  "totalPages": 5,
  "totalResults": 50
}